DocMkrTextInternal::TOC Struct Reference

Internal: structure to store a table of contents of a DocMkrText. More...

## Public Member Functions

| TOC ()
| constructor
bool | empty () const
| returns true if the table is empty

## Public Attributes

std::vector< int > | m_cIdList
| the toc chapter id
std::vector< std::string > | m_textList
| the toc texts

## Detailed Description

Internal: structure to store a table of contents of a DocMkrText.

## Constructor & Destructor Documentation

## TOC()

DocMkrTextInternal::TOC::TOC | ( |  | ) |

inline

constructor

## Member Function Documentation

## empty()

bool DocMkrTextInternal::TOC::empty | ( |  | ) | const

inline

returns true if the table is empty

## Member Data Documentation

## m_cIdList

std::vector<int> DocMkrTextInternal::TOC::m_cIdList

the toc chapter id

Referenced by TOC().

## m_textList

std::vector<std::string> DocMkrTextInternal::TOC::m_textList

the toc texts

Referenced by empty(), and TOC().

The documentation for this struct was generated from the following file:

- DocMkrText.cxx